
local LURKER = Bot.Template("LURKER", "KYRMIR_LURKER"); 

LURKER.setLevel(0);
LURKER.setMagicLevel(0);

LURKER.setHealth(95);
LURKER.setRespawnTime(90);

LURKER.setDamage(DAMAGE_EDGE, 70);

LURKER.setProtection(DAMAGE_EDGE, 0);
LURKER.setProtection(DAMAGE_BLUNT, 500);
LURKER.setProtection(DAMAGE_FIRE, 0);
LURKER.setProtection(DAMAGE_MAGIC, 10);
LURKER.setProtection(DAMAGE_POINT, 20);

// Fight system
LURKER.setWarnTime(6);
LURKER.setHitDistance(190);
LURKER.setChaseDistance(1800);
LURKER.setDetectionDistance(1200);
LURKER.setAttackSpeed(1800);

LURKER.setInitiativeFunction(STANDARD_ANIMAL_AI);

LURKER.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    switch(random(0, 4))
    {
        case 0: bot.playAni("R_ROAM1"); break;				
        case 1: bot.playAni("R_ROAM2"); break;
        case 2: bot.playAni("R_ROAM3"); break;
        case 3: bot.playAni("T_STAND_2_EAT"); break;	
        case 4: bot.playAni("T_PERCEPTION"); break;	
    }

    bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_LURKER", LURKER);

// Drop
registerMonsterReward("KYRMIR_LURKER", Reward.Content(140)
    .addDrop(Reward.Drop("ITMI_GOLD", 70, 70))
);

// Spawnlist
spawnBot(LURKER, -19168, -278, 8986, "ADDONWORLD.ZEN");
spawnBot(LURKER, -18516, -200, 8342, "ADDONWORLD.ZEN");
spawnBot(LURKER, -22424, -4490, 8189, "ADDONWORLD.ZEN");
spawnBot(LURKER, -21953, -4504, 8036, "ADDONWORLD.ZEN");
spawnBot(LURKER, -23236, -4506, 7924, "ADDONWORLD.ZEN");
spawnBot(LURKER, -22199, -4432, 7029, "ADDONWORLD.ZEN");
spawnBot(LURKER, -27745, -4409, 5361, "ADDONWORLD.ZEN");
spawnBot(LURKER, -27505, -4359, 4951, "ADDONWORLD.ZEN");
spawnBot(LURKER, -11738, -4056, 25651, "ADDONWORLD.ZEN");
spawnBot(LURKER, -10655, -4141, 25943, "ADDONWORLD.ZEN");
spawnBot(LURKER, -9732, -4223, 24824, "ADDONWORLD.ZEN");
spawnBot(LURKER, -8386, -3673, 24890, "ADDONWORLD.ZEN");
spawnBot(LURKER, -27845, -2032, 27887, "ADDONWORLD.ZEN");
spawnBot(LURKER, -28731, -2017, 27872, "ADDONWORLD.ZEN");
spawnBot(LURKER, -25593, -2118, 24653, "ADDONWORLD.ZEN");

spawnBot(LURKER, -41023.7, -48.5271, -5056.32, "COLONY.ZEN");
spawnBot(LURKER, -38820.6, -42.3035, -4072.22, "COLONY.ZEN");
spawnBot(LURKER, -19082, -395.981, 6037.17, "COLONY.ZEN");
spawnBot(LURKER, -26416, -226.634, -12155, "COLONY.ZEN");
spawnBot(LURKER, -26147, -226.634, -11127, "COLONY.ZEN");
spawnBot(LURKER, -26050, -226.635, -11280, "COLONY.ZEN");
spawnBot(LURKER, -25849.7, -245.215, -11378.8, "COLONY.ZEN");
spawnBot(LURKER, -8531.79, -1116.77, 8001.75, "COLONY.ZEN");
spawnBot(LURKER, 10351.6, 81.178, -6667.49, "COLONY.ZEN");
spawnBot(LURKER, 10112.8, 62.3309, -6589.99, "COLONY.ZEN");
spawnBot(LURKER, 20827.8, -903.449, 9809.61, "COLONY.ZEN");
spawnBot(LURKER, 14473.6, -1164.31, 10725.5, "COLONY.ZEN");
spawnBot(LURKER, 14644.7, -1168.96, 10712.1, "COLONY.ZEN");
spawnBot(LURKER, 12600.6, -927.588, 9913.48, "COLONY.ZEN");
spawnBot(LURKER, 727.545, -1054.28, 8765.8, "COLONY.ZEN");
spawnBot(LURKER, -7506.95, -1182.34, 8460.83, "COLONY.ZEN");
spawnBot(LURKER, -25177.7, -780.891, 14172, "COLONY.ZEN");
spawnBot(LURKER, -32073.6, 227.062, -3985.38, "COLONY.ZEN");
spawnBot(LURKER, -33021.8, 182.601, -5176.71, "COLONY.ZEN");
spawnBot(LURKER, -33280.4, 155.803, -5255.03, "COLONY.ZEN");
spawnBot(LURKER, -31763.8, 19.0393, -2497.31, "COLONY.ZEN");
spawnBot(LURKER, -35121.8, 110.581, -7123.79, "COLONY.ZEN");
spawnBot(LURKER, -27539.7, -546.316, 8863.7, "COLONY.ZEN");
spawnBot(LURKER, -29589.9, -664.133, 10007.8, "COLONY.ZEN");
spawnBot(LURKER, -25743.7, -444.878, 11266.5, "COLONY.ZEN");
spawnBot(LURKER, -24602.6, -906.852, 11995.6, "COLONY.ZEN");
spawnBot(LURKER, -23020.3, -818.971, 10235.9, "COLONY.ZEN");
spawnBot(LURKER, -21201.5, -921.957, 9746.88, "COLONY.ZEN");
spawnBot(LURKER, -18641.1, -880.33, 7147.6, "COLONY.ZEN");
spawnBot(LURKER, -17265.3, -1733.95, -8531.37, "COLONY.ZEN");
spawnBot(LURKER, -24110, -233.451, -10462.4, "COLONY.ZEN");
spawnBot(LURKER, -18073, -1709.95, -9193.46, "COLONY.ZEN");
spawnBot(LURKER, -24101, -235.887, -10305.3, "COLONY.ZEN");
spawnBot(LURKER, 5257.9, -1291.45, 11462.7, "COLONY.ZEN");
spawnBot(LURKER, 10799.3, -1396.89, 14131.1, "COLONY.ZEN");
spawnBot(LURKER, 12345, -1297.54, 13492.2, "COLONY.ZEN");
spawnBot(LURKER, -15013.6, 2607.81, -36279.7, "COLONY.ZEN");
spawnBot(LURKER, -15127.9, 2593.12, -36153.1, "COLONY.ZEN");
spawnBot(LURKER, -16817.9, 2540.31, -36554.3, "COLONY.ZEN");
spawnBot(LURKER, -16891, 2540.23, -36298.7, "COLONY.ZEN");
spawnBot(LURKER, -26466, -226.634, -11574, "COLONY.ZEN");
spawnBot(LURKER, -26753, -226.634, -11299, "COLONY.ZEN");
spawnBot(LURKER, -26314, -226.634, -11612, "COLONY.ZEN");
spawnBot(LURKER, -26270, -226.634, -11413, "COLONY.ZEN");
spawnBot(LURKER, 18582.4, -1337.45, 11631.9, "COLONY.ZEN");
spawnBot(LURKER, 18857.6, -1322.88, 12247.6, "COLONY.ZEN");
spawnBot(LURKER, 19502.1, -1232.53, 12079.3, "COLONY.ZEN");
spawnBot(LURKER, 17039.5, 1027.88, -18202.7, "COLONY.ZEN");
spawnBot(LURKER, 29483.5, 70.7126, -12072.5, "COLONY.ZEN");
spawnBot(LURKER, 62265.4, -3943.7, -27837, "COLONY.ZEN");
spawnBot(LURKER, 63253.5, -3925.05, -22260.4, "COLONY.ZEN");
spawnBot(LURKER, 39353, -3860.14, 10547, "COLONY.ZEN");
spawnBot(LURKER, 53477, -3873.08, 5303.27, "COLONY.ZEN");
spawnBot(LURKER, 53971.6, -3914.26, 5087.57, "COLONY.ZEN");
spawnBot(LURKER, 54390.3, -3919.32, 4321.32, "COLONY.ZEN");
spawnBot(LURKER, -32264.8, -454.126, 14123.8, "COLONY.ZEN");
spawnBot(LURKER, -36355.8, 22.0116, -1952.69, "COLONY.ZEN");
spawnBot(LURKER, -40556, -6.85667, -4291.16, "COLONY.ZEN");
spawnBot(LURKER, -36485.9, -65.2479, 486.009, "COLONY.ZEN");
spawnBot(LURKER, -37304.7, -48.7081, -7233.56, "COLONY.ZEN");
spawnBot(LURKER, -36613.7, 13.7901, -6902.91, "COLONY.ZEN");
spawnBot(LURKER, -35805.5, 9.64869, -6339.05, "COLONY.ZEN");
spawnBot(LURKER, -34126.8, -24.068, -5369.16, "COLONY.ZEN");
spawnBot(LURKER, -57784.5, 3189.91, 17207.3, "COLONY.ZEN");
spawnBot(LURKER, -60776.4, 2599.35, 16148.8, "COLONY.ZEN");
spawnBot(LURKER, -61482.3, 2656.1, 15411.1, "COLONY.ZEN");
spawnBot(LURKER, -62055, 2756.06, 14323.3, "COLONY.ZEN");